Get Config
curl --request POST \
--url https://api.velt.dev/v2/notifications/config/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentIds": [
"<string>"
],
"userId": "<string>",
"getOrganizationConfig": true
}
}
'{
"result": {
"status": "success",
"message": "User config fetched successfully.",
"data": [
{
"config": {
"inbox": "ALL",
"email": "ALL"
},
"metadata": {
"organizationId": "org1",
"apiKey": "API_KEY",
"documentId": "doc1",
"userId": "USER_ID1"
}
}
]
}
}
Notifications
Get Config
POST
/
v2
/
notifications
/
config
/
get
Get Config
curl --request POST \
--url https://api.velt.dev/v2/notifications/config/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentIds": [
"<string>"
],
"userId": "<string>",
"getOrganizationConfig": true
}
}
'{
"result": {
"status": "success",
"message": "User config fetched successfully.",
"data": [
{
"config": {
"inbox": "ALL",
"email": "ALL"
},
"metadata": {
"organizationId": "org1",
"apiKey": "API_KEY",
"documentId": "doc1",
"userId": "USER_ID1"
}
}
]
}
}
Documentation Index
Fetch the complete documentation index at: https://velt-v5-0-2-beta-28.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
To use this API, you must have the this feature enabled in Velt console
Endpoint
POST https://api.velt.dev/v2/notifications/config/get
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
The ID of the organization.
An array of document IDs. The notification configuration will be fetched for these documents for the specified user. Max 30 documents can be fetched at a time. Optional when
getOrganizationConfig is true.The ID of the user.
When
true, fetches the org-level notification config for the user. documentIds is not required in this mode.Example Requests
- Document-Level Config
- Org-Level Config
{
"data": {
"organizationId": "org1",
"documentIds": ["doc1"],
"userId":"USER_ID1"
}
}
{
"data": {
"organizationId": "org1",
"userId": "USER_ID1",
"getOrganizationConfig": true
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "User config fetched successfully.",
"data": [
{
"config": {
"inbox": "ALL",
"email": "ALL"
},
"metadata": {
"organizationId": "org1",
"apiKey": "API_KEY",
"documentId": "doc1",
"userId": "USER_ID1"
}
}
]
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "User config fetched successfully.",
"data": [
{
"config": {
"inbox": "ALL",
"email": "ALL"
},
"metadata": {
"organizationId": "org1",
"apiKey": "API_KEY",
"documentId": "doc1",
"userId": "USER_ID1"
}
}
]
}
}
Was this page helpful?
⌘I

